aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorYann E. MORIN <yann.morin.1998@free.fr>2014-06-27 00:59:00 +0200
committerYann E. MORIN <yann.morin.1998@free.fr>2014-06-27 00:59:00 +0200
commita11b51c254dc336f92a564f253f7be310d6d68ef (patch)
tree62ef14bf39befb6f982e84ff6f7220ef1a951b02 /scripts
parentbdf731eead3e62cad636fcf7d362b34ac6f35e1a (diff)
downloadcrosstool-ng-a11b51c254dc336f92a564f253f7be310d6d68ef.tar.gz
crosstool-ng-a11b51c254dc336f92a564f253f7be310d6d68ef.tar.bz2
crosstool-ng-a11b51c254dc336f92a564f253f7be310d6d68ef.zip
scripts: first batch of hg->git conversion
Replace calls to 'hg' with as-close-as-possible equivalents in git. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/mk-patch.sh3
-rwxr-xr-xscripts/mk-release.sh4
-rwxr-xr-xscripts/showSamples.sh3
3 files changed, 9 insertions, 1 deletions
diff --git a/scripts/mk-patch.sh b/scripts/mk-patch.sh
index cd0d644a..7c4d82b0 100755
--- a/scripts/mk-patch.sh
+++ b/scripts/mk-patch.sh
@@ -1,5 +1,8 @@
#!/bin/sh
+echo "Broken, fix hg->git conversion first" >&2
+exit 1
+
repos="$1"
pdir="$2"
if [ -z "${repos}" -o ! -d "${repos}" -o -z "${pdir}" -o ! -d "${pdir}" ];then
diff --git a/scripts/mk-release.sh b/scripts/mk-release.sh
index 16a66c02..e32d35a7 100755
--- a/scripts/mk-release.sh
+++ b/scripts/mk-release.sh
@@ -1,5 +1,7 @@
#!/bin/bash
-#set -x
+
+echo "Broken, fix hg->git conversion first" >&2
+exit 1
export LC_ALL=C
diff --git a/scripts/showSamples.sh b/scripts/showSamples.sh
index 50089f4d..36ed7aef 100755
--- a/scripts/showSamples.sh
+++ b/scripts/showSamples.sh
@@ -1,6 +1,9 @@
#!/bin/sh
# Yes, this is supposed to be a POSIX-compliant shell script.
+echo "Broken, fix hg->git conversion first" >&2
+exit 1
+
# Parses all samples on the command line, and for each of them, prints
# the versions of the main tools